HMS_ERRORS = {
    "0300_0100_0001_0001": "The heatbed temperature is abnormal; the heater may have a short circuit.",
    "0300_0100_0001_0002": "The heatbed temperature is abnormal; the heater may have an open circuit, or the thermal switch may be open.",
    "0300_0100_0001_0003": "The heatbed temperature is abnormal; the heater is over temperature.",
    "0300_0100_0001_0006": "The heatbed temperature is abnormal; the sensor may have a short circuit.",
    "0300_0100_0001_0007": "The heatbed temperature is abnormal; the sensor may have an open circuit.",
    "0300_0100_0001_0008": "An abnormality occurs during the heating process of the heatbed, the heating modules may be broken.",
    "0300_0100_0001_000A": "The heatbed temperature control is abnormal, the AC board may be broken.",
    "0300_0100_0001_000C": "The heatbed has worked at full load for a long time. The temperature control system may be abnormal.",
    "0300_0100_0001_000D": "An issue occurred when heating the heatbed previously. To continue using your printer, please refer to the wiki to troubleshoot.",
    "0300_0100_0003_0008": "The temperature of the heated bed exceeds the limit and automatically adjusts to the limit temperature.",
    "0300_0200_0001_0001": "The nozzle temperature is abnormal; the heater may have a short circuit.",
    "0300_0200_0001_0002": "The nozzle temperature is abnormal; the heater may have an open circuit.",
    "0300_0200_0001_0003": "The nozzle temperature is abnormal; the heater is over temperature.",
    "0300_0200_0001_0006": "The nozzle temperature is abnormal; the sensor may have a short circuit. Please check whether the connector is properly plugged in.",
    "0300_0200_0001_0007": "The nozzle temperature is abnormal; the sensor may have an open circuit.",
    "0300_0200_0001_0009": "The nozzle temperature control is abnormal; the hot end may not be installed. If you want to heat the hot end without it being installed, please turn on maintenance mode on the settings page.",
    "0300_0200_0001_000B": "The nozzle temperature is abnormal. Temperature control system may have an issue.",
    "0300_0300_0001_0001": "The hotend cooling fan speed is too slow or stopped. It may be stuck or the connector is not plugged in properly.",
    "0300_0300_0002_0002": "",
    "0300_0400_0002_0001": "The speed of the part cooling fan is too slow or stopped. It may be stuck or the connector is not plugged in properly.",
    "0300_0500_0001_0001": "The motor driver is overheating. Its radiator may be loose, or its cooling fan may be damaged.",
    "0300_0600_0001_0001": "Motor-A has an open-circuit. There may be a loose connection, or the motor may have failed.",
    "0300_0600_0001_0002": "Motor-A has a short-circuit. It may have failed.",
    "0300_0600_0001_0003": "The resistance of Motor-A is abnormal, the motor may have failed.",
    "0300_0700_0001_0001": "Motor-B has an open-circuit. The connection may be loose, or the motor may have failed.",
    "0300_0700_0001_0002": "Motor-B has a short-circuit. It may have failed.",
    "0300_0700_0001_0003": "The resistance of Motor-B is abnormal, the motor may have failed.",
    "0300_0800_0001_0001": "Motor-Z has an open-circuit. The connection may be loose, or the motor may have failed.",
    "0300_0800_0001_0002": "Motor-Z has a short-circuit. It may have failed.",
    "0300_0800_0001_0003": "The resistance of Motor-Z is abnormal, the motor may have failed.",
    "0300_0900_0001_0001": "Motor-E has an open-circuit. The connection may be loose, or the motor may have failed.",
    "0300_0900_0001_0002": "Motor-E has a short-circuit. It may have failed.",
    "0300_0900_0001_0003": "The resistance of Motor-E is abnormal, the motor may have failed.",
    "0300_0A00_0001_0001": "Heatbed force sensor 1 is too sensitive. It may be stuck between the strain arm and heatbed support, or the adjusting screw may be too tight.",
    "0300_0A00_0001_0002": "The signal of heatbed force sensor 1 is weak. The force sensor may be broken or have poor electric connection.",
    "0300_0A00_0001_0003": "The signal of heatbed force sensor 1 is too weak. The electronic connection to the sensor may be broken.",
    "0300_0A00_0001_0004": "An external disturbance was detected on force sensor 1. The heatbed plate may have touched something outside the heatbed.",
    "0300_0A00_0001_0005": "Force sensor 1 detected unexpected continuous force. The heatbed may be stuck, or the analog front end may be broken.",
    "0300_0B00_0001_0001": "Heatbed force sensor 2 is too sensitive. It may be stuck between the strain arm and heatbed support, or the adjusting screw may be too tight.",
    "0300_0B00_0001_0002": "The signal of heatbed force sensor 2 is weak. The force sensor may be broken or have poor electric connection.",
    "0300_0B00_0001_0003": "The signal of heatbed force sensor 2 is too weak. The electronic connection to the sensor may be broken.",
    "0300_0B00_0001_0004": "An external disturbance was detected on force sensor 2. The heatbed plate may have touched something outside the heatbed.",
    "0300_0B00_0001_0005": "Force sensor 2 detected unexpected continuous force. The heatbed may be stuck, or the analog front end may be broken.",
    "0300_0C00_0001_0001": "Heatbed force sensor 3 is too sensitive. It may be stuck between the strain arm and heatbed support, or the adjusting screw may be too tight.",
    "0300_0C00_0001_0002": "The signal of heatbed force sensor 3 is weak. The force sensor may be broken or have poor electric connection.",
    "0300_0C00_0001_0003": "The signal of heatbed force sensor 3 is too weak. The electronic connection to the sensor may be broken.",
    "0300_0C00_0001_0004": "An external disturbance was detected on force sensor 3. The heatbed plate may have touched something outside the heatbed.",
    "0300_0C00_0001_0005": "Force sensor 3 detected unexpected continuous force. The heatbed may be stuck, or the analog front end may be broken.",
    "0300_0D00_0001_0002": "Heatbed homing failed. The environmental vibration is too great.",
    "0300_0D00_0001_0003": "The build plate is not placed properly. Please adjust it.",
    "0300_0D00_0001_0004": "The build plate is not placed properly. Please adjust it.",
    "0300_0D00_0001_0005": "The build plate is not placed properly. Please adjust it.",
    "0300_0D00_0001_0006": "The build plate is not placed properly. Please adjust it.",
    "0300_0D00_0001_0007": "The build plate is not placed properly. Please adjust it.",
    "0300_0D00_0001_0008": "The build plate is not placed properly. Please adjust it.",
    "0300_0D00_0001_0009": "The build plate is not placed properly. Please adjust it.",
    "0300_0D00_0001_000A": "The build plate is not placed properly. Please adjust it.",
    "0300_0D00_0001_000B": "The Z axis motor seems to be stuck when moving. Please check if there is any foreign matter on the Z sliders or Z timing belt wheels .",
    "0300_0D00_0002_0001": "Heatbed homing abnormal: there may be a bulge on the heatbed or the nozzle tip may not be clean.",
    "0300_0D00_0002_0003": "The build plate may not be properly placed. If this message appears repeatedly, please check the Wiki for more reasons.",
    "0300_0D00_0002_0004": "The build plate may not be properly placed. If this message appears repeatedly, please check the Wiki for more reasons.",
    "0300_0D00_0002_0005": "The build plate may not be properly placed. If this message appears repeatedly, please check the Wiki for more reasons.",
    "0300_0D00_0002_0006": "The build plate may not be properly placed. If this message appears repeatedly, please check the Wiki for more reasons.",
    "0300_0D00_0002_0007": "The build plate may not be properly placed. If this message appears repeatedly, please check the Wiki for more reasons.",
    "0300_0D00_0002_0008": "The build plate may not be properly placed. If this message appears repeatedly, please check the Wiki for more reasons.",
    "0300_0D00_0002_0009": "The build plate may not be properly placed. If this message appears repeatedly, please check the Wiki for more reasons.",
    "0300_0D00_0002_000A": "The build plate may not be properly placed. If this message appears repeatedly, please check the Wiki for more reasons.",
    "0300_0F00_0001_0001": "Abnormal accelerometer data detected. Please try to restart the printer.",
    "0300_1000_0002_0001": "The resonance frequency of the X axis is low. The timing belt may be loose.",
    "0300_1000_0002_0002": "The resonance frequency of the X axis differs greatly from last calibration. Please clean the carbon rod and rerun the machine calibration afterward.",
    "0300_1100_0002_0001": "The resonance frequency of the Y axis is low. The timing belt may be loose.",
    "0300_1100_0002_0002": "The resonance frequency of the Y axis differs greatly from the last calibration. Please clean the carbon rod and rerun the machine calibration afterward.",
    "0300_1200_0002_0001": "The front cover of the toolhead fell off.",
    "0300_1300_0001_0001": "The current sensor of Motor-A is abnormal. This may be caused by a failure of the hardware sampling circuit.",
    "0300_1400_0001_0001": "The current sensor of Motor-B is abnormal. This may be caused by a failure of the hardware sampling circuit.",
    "0300_1500_0001_0001": "The current sensor of Motor-Z is abnormal. This may be caused by a failure of the hardware sampling circuit.",
    "0300_1600_0001_0001": "The current sensor of Motor-E is abnormal. This may be caused by a failure of the hardware sampling circuit.",
    "0300_1700_0001_0001": "The hotend cooling fan speed is too slow or stopped. It may be stuck or the connector may not be plugged in properly.",
    "0300_1700_0002_0002": "The hotend cooling fan speed is slow. It may be stuck and need cleaning.",
    "0300_1800_0001_0001": "The value of extrusion force sensor is low, the nozzle seems to not be installed.",
    "0300_1800_0001_0002": "The sensitivity of the extrusion force sensor is low, the nozzle may not installed correctly.",
    "0300_1800_0001_0003": "The extrusion force sensor is not available, the link between the MC and TH may be broken or the sensor is broken.",
    "0300_1800_0001_0004": "The data from extrusion force sensor is abnormal, the sensor should be broken.",
    "0300_1800_0001_0005": "The Z axis motor got stuck while moving, or the extrusion force sensor may have an issue; please check if there is any foreign matter on the Z sliders or Z timing belt wheels.",
    "0300_1900_0001_0001": "The eddy current sensor on Y-axis is not available, the wire should be broken.",
    "0300_1900_0002_0002": "The sensitivity of Y-axis eddy current sensor is too low.",
    "0300_1A00_0002_0001": "The nozzle is covered with filaments, or the build plate is put in crooked.",
    "0300_1A00_0002_0002": "The nozzle is clogged with filament.",
    "0300_1B00_0001_0001": "The signal of the heatbed acceleration sensor is weak. The sensor may have fallen off or been damaged.",
    "0300_1B00_0001_0002": "External disturbance was detected on the heatbed acceleeration sensor. The sensor signal wire may not be fixed.",
    "0300_1B00_0001_0003": "The heatbed acceleration sensor detected unexpected continuous force. The sensor may be stuck, or the analog front end may be broken.",
    "0300_1C00_0001_0001": "The extrusion motor driver is abnormal. The MOSFET may have a short circuit.",
    "0300_1D00_0001_0001": "The position sensor of extrusion motor is abnormal. The connection to sensor may be loose.",
    "0300_2000_0001_0001": "X axis homing abnormal: please check if the tool head is stuck or the carbon rod has too much resistance.",
    "0300_2000_0001_0002": "Y axis homing abnormal: please check if the tool head is stuck or the Y carriage has too much resistance.",
    "0300_2000_0001_0003": "X axis homing abnormal: the timing belt may be loose.",
    "0300_2000_0001_0004": "Y axis homing abnormal: the timing belt may be loose.",
    "0300_4000_0002_0001": "Data transmission over the serial port is abnormal; the software system may be faulty.",
    "0300_4100_0001_0001": "The system voltage is unstable; triggering the power failure protection function.",
    "0300_9000_0001_0001": "Chamber heating failed. The chamber heater may be failing to blow hot air.",
    "0300_9000_0001_0002": "Chamber heating failed. The chamber may not be enclosed, or the ambient temperature may be too low, or the heat dissipation vent of the power supply may be blocked.",
    "0300_9000_0001_0003": "Chamber heating failed. The temperature of power supply may be too high.",
    "0300_9000_0001_0004": "Chamber heating failed. The speed of the heating fan is too low.",
    "0300_9000_0001_0005": "Chamber heating failed. The thermal resistance is too high.",
    "0300_9000_0001_0010": "The communication of chamber temperature controller is abnormal.",
    "0300_9100_0001_0001": "The temperature of chamber heater 1 is abnormal. The heater may have a short circuit.",
    "0300_9100_0001_0002": "The temperature of chamber heater 1 is abnormal. The heater may have an open circuit or the thermal fuse may have taken effect.",
    "0300_9100_0001_0003": "The temperature of chamber heater 1 is abnormal. The heater is over temperature.",
    "0300_9100_0001_0006": "The temperature of chamber heater 1 is abnormal. The sensor may have a short circuit.",
    "0300_9100_0001_0007": "The temperature of chamber heater 1 is abnormal. The sensor may have an open circuit.",
    "0300_9100_0001_0008": "Chamber heater 1 failed to rise to target temperature.",
    "0300_9100_0001_000A": "The temperature of chamber heater 1 is abnormal. The AC board may be broken.",
    "0300_9100_0001_000C": "The chamber heater 1 has been working at full load for a long time. The temperature control system may have an issue.",
    "0300_9200_0001_0001": "The temperature of chamber heater 2 is abnormal. The heater may have a short circuit.",
    "0300_9200_0001_0002": "The temperature of chamber heater 2 is abnormal. The heater may have an open circuit or the thermal fuse may be in effect.",
    "0300_9200_0001_0003": "The temperature of chamber heater 2 is abnormal. The heater is over temperature.",
    "0300_9200_0001_0006": "The temperature of chamber heater 2 is abnormal. The sensor may have a short circuit.",
    "0300_9200_0001_0007": "The temperature of chamber heater 2 is abnormal. The sensor may have an open circuit.",
    "0300_9200_0001_0008": "Chamber heater 2 failed to rise to target temperature.",
    "0300_9200_0001_000A": "The temperature of chamber heater 2 is abnormal. The AC board may be broken.",
    "0300_9300_0001_0001": "Chamber temperature is abnormal. The chamber heater's temperature sensor may have a short circuit.",
    "0300_9300_0001_0002": "Chamber temperature is abnormal. The chamber heater's temperature sensor may have an open circuit.",
    "0300_9300_0001_0003": "Chamber temperature is abnormal. The chamber heater's temperature sensor at the air outlet may have a short circuit.",
    "0300_9300_0001_0004": "Chamber temperature is abnormal. The chamber heater's temperature sensor at the air outlet may have an open circuit.",
    "0300_9300_0001_0005": "Chamber temperature is abnormal. The chamber heater's temperature sensor at the air inlet may have a short circuit.",
    "0300_9300_0001_0006": "Chamber temperature is abnormal. The chamber heater's temperature sensor at the air inlet may have an open circuit.",
    "0300_9300_0001_0007": "Chamber temperature is abnormal. The temperature sensor at the power supply may have a short circuit.",
    "0300_9300_0001_0008": "Chamber temperature is abnormal. The temperature sensor at power supply may have an open circuit.",
    "0300_9400_0002_0003": "Chamber failed to reach the desired temperature. The machine will stop waiting for the chamber temperature.",
    "0300_9400_0003_0001": "Chamber cooling may be too slow. You can open the front door or top cover to help cooling if the air in chamber is non-toxic.",
    "0300_9400_0003_0002": "Chamber temperature setting value exceed the limit, the boundary value will be set.",
    "0300_9500_0001_0007": "",
    "0300_9900_0001_0001": "",
    "0300_9900_0001_0002": "",
    "0300_9900_0001_0003": "",
    "0300_9900_0003_0001": "",
    "0500_0100_0002_0001": "The media pipeline is malfunctioning.",
    "0500_0100_0002_0002": "USB camera is not connected. Please check video camera cable connection.",
    "0500_0100_0002_0003": "USB camera is malfunctioning.",
    "0500_0100_0003_0004": "Not enough space in MicroSD Card; please clear some space.",
    "0500_0100_0003_0005": "MicroSD Card error: please reinsert, format or replace it.",
    "0500_0100_0003_0006": "Unformatted MicroSD Card: please format it.",
    "0500_0100_0003_0007": "Unable to record time-lapse photography without MicroSD card inserted.",
    "0500_0200_0002_0001": "Failed to connect internet. Please check the network connection.",
    "0500_0200_0002_0002": "Device login failed; please check your account information.",
    "0500_0200_0002_0003": "Failed to connect internet; please check the network connection.",
    "0500_0200_0002_0004": "Unauthorized user: please check your account information.",
    "0500_0200_0002_0005": "Failed to connect internet; please check the network connection.",
    "0500_0200_0002_0006": "Streaming function error. Please check the network and try again. You can restart or update the printer if the issue persists.",
    "0500_0200_0002_0007": "Liveview service login failed; please check your network connection.",
    "0500_0200_0002_0008": "Time synchronization failed.",
    "0500_0300_0001_0001": "The MC module is malfunctioning; please restart the device or check device cable connection.",
    "0500_0300_0001_0002": "The toolhead is malfunctioning. Please restart the device.",
    "0500_0300_0001_0003": "The AMS module is malfunctioning. Please restart the device.",
    "0500_0300_0001_0004": "The AHB module is malfunctioning. Please restart the device.",
    "0500_0300_0001_0005": "Internal service is malfunctioning. Please restart the device.",
    "0500_0300_0001_0006": "A system panic occurred. Please restart the device.",
    "0500_0300_0001_0008": "A system hang occurred. Please restart the device.",
    "0500_0300_0001_0009": "A system hang occurred. It has been recovered by automatic restart.",
    "0500_0300_0001_000A": "System state is abnormal; please restore factory settings.",
    "0500_0300_0001_000B": "The screen is malfunctioning; please restart the device.",
    "0500_0300_0001_0021": "Hardware incompatible: please check the laser.",
    "0500_0300_0001_0023": "The Chamber Temperature Control module is malfunctioning. Please restart the device.",
    "0500_0300_0001_0024": "The current temperature is too low. In order to protect you and your printer. Printing task, moving axis and other operations is disabled. Please move the printer to an environment above 10°C.",
    "0500_0300_0001_0025": "The current firmware is abnormal. Please update again.",
    "0500_0300_0002_000C": "Wireless hardware error: please turn off/on WiFi or restart the device.",
    "0500_0300_0002_000D": "The SD Card controller is malfunctioning.",
    "0500_0300_0002_0010": "forward coredump, it is recovering.",
    "0500_0300_0002_0011": "upgrade coredump, it is recovering.",
    "0500_0300_0002_0012": "ipcam coredump, it is recovering.",
    "0500_0300_0002_0013": "xcam coredump, it is recovering.",
    "0500_0300_0002_0014": "bbl_screen coredump, it is recovering.",
    "0500_0300_0002_0015": "device_gate coredump, it is recovering.",
    "0500_0300_0002_0016": "device_manager coredump, it is recovering.",
    "0500_0300_0002_0017": "recorder coredump, it is recovering.",
    "0500_0300_0002_0018": "security coredump, it is recovering.",
    "0500_0300_0002_0020": "Micro SD Card capacity is insufficient to cache print files.",
    "0500_0300_0003_0007": "A system panic occurred. It has been recovered by automatic restart.",
    "0500_0300_0003_0022": "MicroSD Card performance degradation has been detected. It may affect print jobs, logs, and video records. Please try to format or change the MicroSD card.",
    "0500_0400_0001_0001": "Failed to download print job. Please check your network connection.",
    "0500_0400_0001_0002": "Failed to report print state. Please check your network connection.",
    "0500_0400_0001_0003": "The content of print file is unreadable. Please resend the print job.",
    "0500_0400_0001_0004": "The print file is unauthorized.",
    "0500_0400_0001_0006": "Failed to resume previous print.",
    "0500_0400_0002_0007": "The bed temperature exceeds the filament's vitrification temperature, which may cause a nozzle clog. Please keep the front door of the printer open or lower the bed temperature.",
    "0500_0400_0002_0010": "The RFID-tag on AMS A Slot1 cannot be identified.",
    "0500_0400_0002_0011": "The RFID-tag on AMS A Slot2 cannot be identified.",
    "0500_0400_0002_0012": "The RFID-tag on AMS A Slot3 cannot be identified.",
    "0500_0400_0002_0013": "The RFID-tag on AMS A Slot4 cannot be identified.",
    "0500_0400_0002_0014": "The RFID-tag on AMS B Slot1 cannot be identified.",
    "0500_0400_0002_0015": "The RFID-tag on AMS B Slot2 cannot be identified.",
    "0500_0400_0002_0016": "The RFID-tag on AMS B Slot3 cannot be identified.",
    "0500_0400_0002_0017": "The RFID-tag on AMS B Slot4 cannot be identified.",
    "0500_0400_0002_0018": "The RFID-tag on AMS C Slot1 cannot be identified.",
    "0500_0400_0002_0019": "The RFID-tag on AMS C Slot2 cannot be identified.",
    "0500_0400_0002_001A": "The RFID-tag on AMS C Slot3 cannot be identified.",
    "0500_0400_0002_001B": "The RFID-tag on AMS C Slot4 cannot be identified.",
    "0500_0400_0002_001C": "The RFID-tag on AMS D Slot1 cannot be identified.",
    "0500_0400_0002_001D": "The RFID-tag on AMS D Slot2 cannot be identified.",
    "0500_0400_0002_001E": "The RFID-tag on AMS D Slot3 cannot be identified.",
    "0500_0400_0002_001F": "The RFID-tag on AMS D Slot4 cannot be identified.",
    "0500_0400_0002_0020": "",
    "0500_0400_0003_0008": "The door is detected to be open.",
    "0500_0400_0003_0009": "The bed temperature exceeds filament's vitrification temperature, which may cause nozzle clog. Please keep the front door of printer open. Already turning off the door opening detection temporarily.",
    "0500_0500_0001_0001": "The factory data of AP board is abnormal; please replace the AP board with a new one.",
    "0500_0500_0001_0006": "The factory data of AP board is abnormal, please replace the AP board with a new one.",
    "0500_0500_0003_0002": "The device is in the engineering state; please pay attention to the information security related matters.",
    "07FF_2000_0002_0001": "External filament has run out; please load a new filament.",
    "07FF_2000_0002_0002": "External filament is missing; please load a new filament.",
    "07FF_2000_0002_0004": "Please pull the external filament from the extruder.",
    "0C00_0100_0001_0001": "The Micro Lidar camera is offline. Please check the hardware connection.",
    "0C00_0100_0001_0003": "Synchronization between the Micro Lidar camera and MCU is abnormal. Please restart your printer.",
    "0C00_0100_0001_0004": "The Micro Lidar camera lens seems to be dirty. Please clean the lens.",
    "0C00_0100_0001_0005": "Micro Lidar camera OTP parameter is abnormal. Please contact after-sales.",
    "0C00_0100_0001_0009": "The chamber camera lens seems to be dirty. Please clean the lens.",
    "0C00_0100_0001_000A": "The Micro Lidar LED may be broken.",
    "0C00_0100_0001_000B": "Failed to calibrate Micro Lidar. Please make sure the calibration chart is clean and not occluded, and run machine calibration again.",
    "0C00_0100_0002_0002": "The Micro Lidar camera is malfunctioning and related functions may fail. Please contact after-sales if this message keeps appearing in multiple prints.",
    "0C00_0100_0002_0006": "Micro Lidar camera extrinsic parameters are abnormal. Please enable flowrate calibration in your next print.",
    "0C00_0100_0002_0007": "Micro Lidar laser parameters are drifted. Please re-calibrate your printer.",
    "0C00_0100_0002_0008": "Failed to get image from chamber camera. Spaghetti and waste chute pileup detection is not available for now.",
    "0C00_0200_0001_0001": "The horizontal laser is not lit. Please check if it's covered or hardware connection is normal.",
    "0C00_0200_0001_0005": "A new Micro Lidar was detected. Please calibrate it on Calibration page before use.",
    "0C00_0200_0002_0002": "The horizontal laser line is too wide. Please check if the heatbed is dirty.",
    "0C00_0200_0002_0003": "The horizontal laser is not bright enough at homing position. Please clean or replace heatbed if this message appears repeatedly.",
    "0C00_0200_0002_0004": "Nozzle height seems too low. Please check if the nozzle is worn or tilted. Re-calibrate Lidar if the nozzle has been replaced.",
    "0C00_0200_0002_0006": "Nozzle height seems too high. Please check if there is filament residual attached to the nozzle.",
    "0C00_0200_0002_0007": "The vertical laser is not lit. Please check if it's covered or hardware connection is normal.",
    "0C00_0200_0002_0008": "The vertical laser line is too wide. Please check if the heatbed is dirty.",
    "0C00_0200_0002_0009": "The vertical laser is not bright enough at homing position. Please clean or replace heatbed if this message appears repeatedly.",
    "0C00_0300_0001_0009": "The first layer inspection module rebooted abnormally. The inspection result may be inaccurate.",
    "0C00_0300_0001_000A": "Your printer is in factory mode. Please contact Technical Support.",
    "0C00_0300_0002_0001": "Filament exposure metering failed because laser reflection is too weak on this material. First layer inspection may be inaccurate.",
    "0C00_0300_0002_0002": "First layer inspection terminated due to abnormal Lidar data.",
    "0C00_0300_0002_0004": "First layer inspection is not supported for the current print job.",
    "0C00_0300_0002_0005": "First layer inspection timed out abnormally, and the current results may be inaccurate.",
    "0C00_0300_0002_000C": "The build plate localization marker is not detected. Please check if the build plate is aligned correctly.",
    "0C00_0300_0002_000F": "Parts skipped before first layer inspection; the inspection will not be supported for the current print.",
    "0C00_0300_0002_0010": "Foreign objects detected on heatbed, Please check and clean the heatbed.",
    "0C00_0300_0003_0006": "Purged filament may have piled up in the waste chute. Please check and clean the chute.",
    "0C00_0300_0003_0007": "Possible first layer defects have been detected. Please check the first layer quality and decide if the job should be stopped.",
    "0C00_0300_0003_0008": "Possible spaghetti defects were detected. Please check the print quality and decide if the job should be stopped.",
    "0C00_0300_0003_000B": "Inspecting the first layer: please wait a moment.",
    "0C00_0300_0003_000D": "Some objects may have fallen down, or the extruder is not extruding normally. Please check and decide if the printing should be stopped.",
    "0C00_0300_0003_000E": "Your nozzle seems to be covered with jammed or clogged material.",
    "0C00_0300_0003_000F": "Your nozzle seems to be covered with jammed or clogged material.",
    "0C00_0300_0003_0010": "Your printer seems to be printing without extruding.",
    "0C00_0400_0001_0017": "",
    "1200_1000_0001_0001": "The AMS A Slot1 motor has slipped. The extrusion wheel may be malfunctioning, or the filament may be too thin.",
    "1200_1000_0001_0003": "The AMS A Slot1 motor torque control is malfunctioning. The current sensor may be faulty.",
    "1200_1000_0002_0002": "The AMS A Slot1 motor is overloaded. The filament may be tangled or stuck.",
    "1200_1100_0001_0001": "The AMS A Slot2 motor has slipped. The extrusion wheel may be malfunctioning, or the filament may be too thin.",
    "1200_1100_0001_0003": "The AMS A Slot2 motor torque control is malfunctioning. The current sensor may be faulty.",
    "1200_1100_0002_0002": "The AMS A Slot2 motor is overloaded. The filament may be tangled or stuck.",
    "1200_1200_0001_0001": "The AMS A Slot3 motor has slipped. The extrusion wheel may be malfunctioning, or the filament may be too thin.",
    "1200_1200_0001_0003": "The AMS A Slot3 motor torque control is malfunctioning. The current sensor may be faulty.",
    "1200_1200_0002_0002": "The AMS A Slot3 motor is overloaded. The filament may be tangled or stuck.",
    "1200_1300_0001_0001": "The AMS A Slot4 motor has slipped. The extrusion wheel may be malfunctioning, or the filament may be too thin.",
    "1200_1300_0001_0003": "The AMS A Slot4 motor torque control is malfunctioning. The current sensor may be faulty.",
    "1200_1300_0002_0002": "The AMS A Slot4 motor is overloaded. The filament may be tangled or stuck.",
    "1200_2000_0002_0001": "AMS A Slot1 filament has run out; please insert a new filament.",
    "1200_2000_0002_0002": "AMS A Slot 1 is empty; please insert a new filament.",
    "1200_2000_0002_0003": "AMS A Slot1 filament may be broken in the PTFE tube.",
    "1200_2000_0002_0004": "AMS A Slot1 filament may be broken in the tool head.",
    "1200_2000_0002_0005": "AMS A Slot1 filament has run out, and purging the old filament went abnormally; please check to see if filament is stuck in the toolhead.",
    "1200_2000_0002_0006": "Failed to extrude AMS A Slot1 filament; the extruder may be clogged or the filament may be too thin, causing the extruder to slip.",
    "1200_2000_0003_0001": "AMS A Slot1 filament has run out. Purging the old filament; please wait.",
    "1200_2000_0003_0002": "AMS A Slot1 filament has run out and automatically switched to the slot with the same filament.",
    "1200_2100_0002_0001": "AMS A Slot2 filament has run out; please insert a new filament.",
    "1200_2100_0002_0002": "AMS A Slot 2 is empty; please insert a new filament.",
    "1200_2100_0002_0003": "AMS A Slot2 filament may be broken in the PTFE tube.",
    "1200_2100_0002_0004": "AMS A Slot2 filament may be broken in the tool head.",
    "1200_2100_0002_0005": "AMS A Slot2 filament has run out, and purging the old filament went abnormally; please check to see if filament is stuck in the toolhead.",
    "1200_2100_0002_0006": "Failed to extrude AMS A Slot2 filament; the extruder may be clogged or the filament may be too thin, causing the extruder to slip.",
    "1200_2100_0003_0001": "AMS A Slot2 filament has run out. Purging the old filament; please wait.",
    "1200_2100_0003_0002": "AMS A Slot2 filament has run out and automatically switched to the slot with the same filament.",
    "1200_2200_0002_0001": "AMS A Slot3 filament has run out; please insert a new filament.",
    "1200_2200_0002_0002": "AMS A Slot 3 is empty; please insert a new filament.",
    "1200_2200_0002_0003": "AMS A Slot3 filament may be broken in the PTFE tube.",
    "1200_2200_0002_0004": "AMS A Slot3 filament may be broken in the tool head.",
    "1200_2200_0002_0005": "AMS A Slot3 filament has run out, and purging the old filament went abnormally; please check to see if filament is stuck in the toolhead.",
    "1200_2200_0002_0006": "Failed to extrude AMS A Slot3 filament; the extruder may be clogged or the filament may be too thin, causing the extruder to slip.",
    "1200_2200_0003_0001": "AMS A Slot3 filament has run out. Purging the old filament; please wait.",
    "1200_2200_0003_0002": "AMS A Slot3 filament has run out and automatically switched to the slot with the same filament.",
    "1200_2300_0002_0001": "AMS A Slot4 filament has run out; please insert a new filament.",
    "1200_2300_0002_0002": "AMS A Slot 4 is empty; please insert a new filament.",
    "1200_2300_0002_0003": "AMS A Slot4 filament may be broken in the PTFE tube.",
    "1200_2300_0002_0004": "AMS A Slot4 filament may be broken in the tool head.",
    "1200_2300_0002_0005": "AMS A Slot4 filament has run out, and purging the old filament went abnormally; please check to see if filament is stuck in the toolhead.",
    "1200_2300_0002_0006": "Failed to extrude AMS A Slot4 filament; the extruder may be clogged or the filament may be too thin, causing the extruder to slip.",
    "1200_2300_0003_0001": "AMS A Slot4 filament has run out. Purging the old filament; please wait.",
    "1200_2300_0003_0002": "AMS A Slot4 filament has run out and automatically switched to the slot with the same filament.",
    "1200_2400_0002_0001": "Filament may be broken in the tool head.",
    "1200_2500_0002_0001": "Failed to extrude the filament and the extruder may be clogged.",
    "1200_3000_0001_0001": "AMS A Slot 1 RFID coil is broken or the RF hardware circuit has an error.",
    "1200_3000_0001_0004": "RFID cannot be read because of an encryption chip failure in AMSA.",
    "1200_3000_0002_0002": "The RFID-tag on AMS A Slot 1 is damaged.",
    "1200_3000_0003_0003": "AMS A Slot1 RFID cannot be read because of a structural error.",
    "1200_3100_0001_0001": "AMS A Slot 2 RFID coil is broken or the RF hardware circuit has an error.",
    "1200_3100_0002_0002": "The RFID-tag on AMS A Slot 2 is damaged.",
    "1200_3100_0003_0003": "AMS A Slot2 RFID cannot be read because of a structural error.",
    "1200_3200_0001_0001": "AMS A Slot 3 RFID coil is broken or the RF hardware circuit has an error.",
    "1200_3200_0002_0002": "The RFID-tag on AMS A Slot 3 is damaged.",
    "1200_3200_0003_0003": "AMS A Slot3 RFID cannot be read because of a structural error.",
    "1200_3300_0001_0001": "AMS A Slot 4 RFID coil is broken or the RF hardware circuit has an error.",
    "1200_3300_0002_0002": "The RFID-tag on AMS A Slot 4 is damaged.",
    "1200_3300_0003_0003": "AMS A Slot4 RFID cannot be read because of a structural error.",
    "1200_4500_0002_0001": "The filament cutter sensor is malfunctioning. Please check whether the connector is properly plugged in.",
    "1200_4500_0002_0002": "The filament cutter's cutting distance is too large. The X motor may lose steps.",
    "1200_4500_0002_0003": "The filament cutter handle has not been released. The handle or blade may be jammed, or there could be an issue with the filament sensor connection.",
    "1200_5000_0002_0001": "AMS A communication is abnormal; please check the connection cable.",
    "1200_5100_0003_0001": "AMS is disabled; please load filament from spool holder.",
    "1200_7000_0001_0001": "AMS A Filament speed and length error: The slot 1 filament odometry may be faulty.",
    "1200_7100_0001_0001": "AMS A Filament speed and length error: The slot 2 filament odometry may be faulty.",
    "1200_7200_0001_0001": "AMS A Filament speed and length error: The slot 3 filament odometry may be faulty.",
    "1200_7300_0001_0001": "AMS A Filament speed and length error: The slot 4 filament odometry may be faulty.",
    "1200_8000_0002_0001": "AMS A Slot1 filament may be tangled or stuck.",
    "1200_8100_0002_0001": "AMS A Slot2 filament may be tangled or stuck.",
    "1200_8200_0002_0001": "AMS A Slot3 filament may be tangled or stuck.",
    "1200_8300_0002_0001": "AMS A Slot4 filament may be tangled or stuck.",
    "1201_1000_0001_0001": "The AMS B Slot1 motor has slipped. The extrusion wheel may be malfunctioning, or the filament may be too thin.",
    "1201_1000_0001_0003": "The AMS B Slot1 motor torque control is malfunctioning. The current sensor may be faulty.",
    "1201_1000_0002_0002": "The AMS B Slot1 motor is overloaded. The filament may be tangled or stuck.",
    "1201_1100_0001_0001": "The AMS B Slot2 motor has slipped. The extrusion wheel may be malfunctioning, or the filament may be too thin.",
    "1201_1100_0001_0003": "The AMS B Slot2 motor torque control is malfunctioning. The current sensor may be faulty.",
    "1201_1100_0002_0002": "The AMS B Slot2 motor is overloaded. The filament may be tangled or stuck.",
    "1201_1200_0001_0001": "The AMS B Slot3 motor has slipped. The extrusion wheel may be malfunctioning, or the filament may be too thin.",
    "1201_1200_0001_0003": "The AMS B Slot3 motor torque control is malfunctioning. The current sensor may be faulty.",
    "1201_1200_0002_0002": "The AMS B Slot3 motor is overloaded. The filament may be tangled or stuck.",
    "1201_1300_0001_0001": "The AMS B Slot4 motor has slipped. The extrusion wheel may be malfunctioning, or the filament may be too thin.",
    "1201_1300_0001_0003": "The AMS B Slot4 motor torque control is malfunctioning. The current sensor may be faulty.",
    "1201_1300_0002_0002": "The AMS B Slot4 motor is overloaded. The filament may be tangled or stuck.",
    "1201_2000_0002_0001": "AMS B Slot1 filament has run out; please insert a new filament.",
    "1201_2000_0002_0002": "AMS B Slot 1 is empty; please insert a new filament.",
    "1201_2000_0002_0003": "AMS B Slot1 filament may be broken in the PTFE tube.",
    "1201_2000_0002_0004": "AMS B Slot1 filament may be broken in the tool head.",
    "1201_2000_0002_0005": "AMS B Slot1 filament has run out, and purging the old filament went abnormally; please check to see if filament is stuck in the toolhead.",
    "1201_2000_0002_0006": "Failed to extrude AMS B Slot1 filament; the extruder may be clogged or the filament may be too thin, causing the extruder to slip.",
    "1201_2000_0003_0001": "AMS B Slot1 filament has run out. Purging the old filament; please wait.",
    "1201_2000_0003_0002": "AMS B Slot1 filament has run out and automatically switched to the slot with the same filament.",
    "1201_2100_0002_0001": "AMS B Slot2 filament has run out; please insert a new filament.",
    "1201_2100_0002_0002": "AMS B Slot 2 is empty; please insert a new filament.",
    "1201_2100_0002_0003": "AMS B Slot2 filament may be broken in the PTFE tube.",
    "1201_2100_0002_0004": "AMS B Slot2 filament may be broken in the tool head.",
    "1201_2100_0002_0005": "AMS B Slot2 filament has run out, and purging the old filament went abnormally; please check to see if filament is stuck in the toolhead.",
    "1201_2100_0002_0006": "Failed to extrude AMS B Slot2 filament; the extruder may be clogged or the filament may be too thin, causing the extruder to slip.",
    "1201_2100_0003_0001": "AMS B Slot2 filament has run out. Purging the old filament; please wait.",
    "1201_2100_0003_0002": "AMS B Slot2 filament has run out and automatically switched to the slot with the same filament.",
    "1201_2200_0002_0001": "AMS B Slot3 filament has run out; please insert a new filament.",
    "1201_2200_0002_0002": "AMS B Slot 3 is empty; please insert a new filament.",
    "1201_2200_0002_0003": "AMS B Slot3 filament may be broken in the PTFE tube.",
    "1201_2200_0002_0004": "AMS B Slot3 filament may be broken in the tool head.",
    "1201_2200_0002_0005": "AMS B Slot3 filament has run out, and purging the old filament went abnormally; please check to see if filament is stuck in the toolhead.",
    "1201_2200_0002_0006": "Failed to extrude AMS B Slot3 filament; the extruder may be clogged or the filament may be too thin, causing the extruder to slip.",
    "1201_2200_0003_0001": "AMS B Slot3 filament has run out. Purging the old filament; please wait.",
    "1201_2200_0003_0002": "AMS B Slot3 filament has run out and automatically switched to the slot with the same filament.",
    "1201_2300_0002_0001": "AMS B Slot4 filament has run out; please insert a new filament.",
    "1201_2300_0002_0002": "AMS B Slot 4 is empty; please insert a new filament.",
    "1201_2300_0002_0003": "AMS B Slot4 filament may be broken in the PTFE tube.",
    "1201_2300_0002_0004": "AMS B Slot4 filament may be broken in the tool head.",
    "1201_2300_0002_0005": "AMS B Slot4 filament has run out, and purging the old filament went abnormally; please check to see if filament is stuck in the toolhead.",
    "1201_2300_0002_0006": "Failed to extrude AMS B Slot4 filament; the extruder may be clogged or the filament may be too thin, causing the extruder to slip.",
    "1201_2300_0003_0001": "AMS B Slot4 filament has run out. Purging the old filament; please wait.",
    "1201_2300_0003_0002": "AMS B Slot4 filament has run out and automatically switched to the slot with the same filament.",
    "1201_3000_0001_0001": "AMS B Slot 1 RFID coil is broken or the RF hardware circuit has an error.",
    "1201_3000_0001_0004": "RFID cannot be read because of an encryption chip failure in AMSB.",
    "1201_3000_0002_0002": "The RFID-tag on AMS B Slot 1 is damaged.",
    "1201_3000_0003_0003": "AMS B Slot1 RFID cannot be read because of a structural error.",
    "1201_3100_0001_0001": "AMS B Slot 2 RFID coil is broken or the RF hardware circuit has an error.",
    "1201_3100_0002_0002": "The RFID-tag on AMS B Slot 2 is damaged.",
    "1201_3100_0003_0003": "AMS B Slot2 RFID cannot be read because of a structural error.",
    "1201_3200_0001_0001": "AMS B Slot 3 RFID coil is broken or the RF hardware circuit has an error.",
    "1201_3200_0002_0002": "The RFID-tag on AMS B Slot 3 is damaged.",
    "1201_3200_0003_0003": "AMS B Slot3 RFID cannot be read because of a structural error.",
    "1201_3300_0001_0001": "AMS B Slot 4 RFID coil is broken or the RF hardware circuit has an error.",
    "1201_3300_0002_0002": "The RFID-tag on AMS B Slot 4 is damaged.",
    "1201_3300_0003_0003": "AMS B Slot4 RFID cannot be read because of a structural error.",
    "1201_5000_0002_0001": "AMS B communication is abnormal; please check the connection cable.",
    "1201_7000_0001_0001": "AMS B Filament speed and length error: The slot 1 filament odometry may be faulty.",
    "1201_7100_0001_0001": "AMS B Filament speed and length error: The slot 2 filament odometry may be faulty.",
    "1201_7200_0001_0001": "AMS B Filament speed and length error: The slot 3 filament odometry may be faulty.",
    "1201_7300_0001_0001": "AMS B Filament speed and length error: The slot 4 filament odometry may be faulty.",
    "1201_8000_0002_0001": "AMS B Slot1 filament may be tangled or stuck.",
    "1201_8100_0002_0001": "AMS B Slot2 filament may be tangled or stuck.",
    "1201_8200_0002_0001": "AMS B Slot3 filament may be tangled or stuck.",
    "1201_8300_0002_0001": "AMS B Slot4 filament may be tangled or stuck.",
    "1202_1000_0001_0001": "The AMS C Slot1 motor has slipped. The extrusion wheel may be malfunctioning, or the filament may be too thin.",
    "1202_1000_0001_0003": "The AMS C Slot1 motor torque control is malfunctioning. The current sensor may be faulty.",
    "1202_1000_0002_0002": "The AMS C Slot1 motor is overloaded. The filament may be tangled or stuck.",
    "1202_1100_0001_0001": "The AMS C Slot2 motor has slipped. The extrusion wheel may be malfunctioning, or the filament may be too thin.",
    "1202_1100_0001_0003": "The AMS C Slot2 motor torque control is malfunctioning. The current sensor may be faulty.",
    "1202_1100_0002_0002": "The AMS C Slot2 motor is overloaded. The filament may be tangled or stuck.",
    "1202_1200_0001_0001": "The AMS C Slot3 motor has slipped. The extrusion wheel may be malfunctioning, or the filament may be too thin.",
    "1202_1200_0001_0003": "The AMS C Slot3 motor torque control is malfunctioning. The current sensor may be faulty.",
    "1202_1200_0002_0002": "The AMS C Slot3 motor is overloaded. The filament may be tangled or stuck.",
    "1202_1300_0001_0001": "The AMS C Slot4 motor has slipped. The extrusion wheel may be malfunctioning, or the filament may be too thin.",
    "1202_1300_0001_0003": "The AMS C Slot4 motor torque control is malfunctioning. The current sensor may be faulty.",
    "1202_1300_0002_0002": "The AMS C Slot4 motor is overloaded. The filament may be tangled or stuck.",
    "1202_2000_0002_0001": "AMS C Slot1 filament has run out; please insert a new filament.",
    "1202_2000_0002_0002": "AMS C Slot 1 is empty; please insert a new filament.",
    "1202_2000_0002_0003": "AMS C Slot1 filament may be broken in the PTFE tube.",
    "1202_2000_0002_0004": "AMS C Slot1 filament may be broken in the tool head.",
    "1202_2000_0002_0005": "AMS C Slot1 filament has run out, and purging the old filament went abnormally; please check to see if filament is stuck in the toolhead.",
    "1202_2000_0002_0006": "Failed to extrude AMS C Slot1 filament; the extruder may be clogged or the filament may be too thin, causing the extruder to slip.",
    "1202_2000_0003_0001": "AMS C Slot1 filament has run out. Purging the old filament; please wait.",
    "1202_2000_0003_0002": "AMS C Slot1 filament has run out and automatically switched to the slot with the same filament.",
    "1202_2100_0002_0001": "AMS C Slot2 filament has run out; please insert a new filament.",
    "1202_2100_0002_0002": "AMS C Slot 2 is empty; please insert a new filament.",
    "1202_2100_0002_0003": "AMS C Slot2 filament may be broken in the PTFE tube.",
    "1202_2100_0002_0004": "AMS C Slot2 filament may be broken in the tool head.",
    "1202_2100_0002_0005": "AMS C Slot2 filament has run out, and purging the old filament went abnormally; please check to see if filament is stuck in the toolhead.",
    "1202_2100_0002_0006": "Failed to extrude AMS C Slot2 filament; the extruder may be clogged or the filament may be too thin, causing the extruder to slip.",
    "1202_2100_0003_0001": "AMS C Slot2 filament has run out. Purging the old filament; please wait.",
    "1202_2100_0003_0002": "AMS C Slot2 filament has run out and automatically switched to the slot with the same filament.",
    "1202_2200_0002_0001": "AMS C Slot3 filament has run out; please insert a new filament.",
    "1202_2200_0002_0002": "AMS C Slot 3 is empty; please insert a new filament.",
    "1202_2200_0002_0003": "AMS C Slot3 filament may be broken in the PTFE tube.",
    "1202_2200_0002_0004": "AMS C Slot3 filament may be broken in the tool head.",
    "1202_2200_0002_0005": "AMS C Slot3 filament has run out, and purging the old filament went abnormally; please check to see if filament is stuck in the toolhead.",
    "1202_2200_0002_0006": "Failed to extrude AMS C Slot3 filament; the extruder may be clogged or the filament may be too thin, causing the extruder to slip.",
    "1202_2200_0003_0001": "AMS C Slot3 filament has run out. Purging the old filament; please wait.",
    "1202_2200_0003_0002": "AMS C Slot3 filament has run out and automatically switched to the slot with the same filament.",
    "1202_2300_0002_0001": "AMS C Slot4 filament has run out; please insert a new filament.",
    "1202_2300_0002_0002": "AMS C Slot 4 is empty; please insert a new filament.",
    "1202_2300_0002_0003": "AMS C Slot4 filament may be broken in the PTFE tube.",
    "1202_2300_0002_0004": "AMS C Slot4 filament may be broken in the tool head.",
    "1202_2300_0002_0005": "AMS C Slot4 filament has run out, and purging the old filament went abnormally; please check to see if filament is stuck in the toolhead.",
    "1202_2300_0002_0006": "Failed to extrude AMS C Slot4 filament; the extruder may be clogged or the filament may be too thin, causing the extruder to slip.",
    "1202_2300_0003_0001": "AMS C Slot4 filament has run out. Purging the old filament; please wait.",
    "1202_2300_0003_0002": "AMS C Slot4 filament has run out and automatically switched to the slot with the same filament.",
    "1202_3000_0001_0001": "AMS C Slot 1 RFID coil is broken or the RF hardware circuit has an error.",
    "1202_3000_0001_0004": "RFID cannot be read because of an encryption chip failure in AMSC.",
    "1202_3000_0002_0002": "The RFID-tag on AMS C Slot 1 is damaged.",
    "1202_3000_0003_0003": "AMS C Slot1 RFID cannot be read because of a structural error.",
    "1202_3100_0001_0001": "AMS C Slot 2 RFID coil is broken or the RF hardware circuit has an error.",
    "1202_3100_0002_0002": "The RFID-tag on AMS C Slot 2 is damaged.",
    "1202_3100_0003_0003": "AMS C Slot2 RFID cannot be read because of a structural error.",
    "1202_3200_0001_0001": "AMS C Slot 3 RFID coil is broken or the RF hardware circuit has an error.",
    "1202_3200_0002_0002": "The RFID-tag on AMS C Slot 3 is damaged.",
    "1202_3200_0003_0003": "AMS C Slot3 RFID cannot be read because of a structural error.",
    "1202_3300_0001_0001": "AMS C Slot 4 RFID coil is broken or the RF hardware circuit has an error.",
    "1202_3300_0002_0002": "The RFID-tag on AMS C Slot 4 is damaged.",
    "1202_3300_0003_0003": "AMS C Slot4 RFID cannot be read because of a structural error.",
    "1202_5000_0002_0001": "AMS C communication is abnormal; please check the connection cable.",
    "1202_7000_0001_0001": "AMS C Filament speed and length error: The slot 1 filament odometry may be faulty.",
    "1202_7100_0001_0001": "AMS C Filament speed and length error: The slot 2 filament odometry may be faulty.",
    "1202_7200_0001_0001": "AMS C Filament speed and length error: The slot 3 filament odometry may be faulty.",
    "1202_7300_0001_0001": "AMS C Filament speed and length error: The slot 4 filament odometry may be faulty.",
    "1202_8000_0002_0001": "AMS C Slot1 filament may be tangled or stuck.",
    "1202_8100_0002_0001": "AMS C Slot2 filament may be tangled or stuck.",
    "1202_8200_0002_0001": "AMS C Slot3 filament may be tangled or stuck.",
    "1202_8300_0002_0001": "AMS C Slot4 filament may be tangled or stuck.",
    "1203_1000_0001_0001": "The AMS D Slot1 motor has slipped. The extrusion wheel may be malfunctioning, or the filament may be too thin.",
    "1203_1000_0001_0003": "The AMS D Slot1 motor torque control is malfunctioning. The current sensor may be faulty.",
    "1203_1000_0002_0002": "The AMS D Slot1 motor is overloaded. The filament may be tangled or stuck.",
    "1203_1100_0001_0001": "The AMS D Slot2 motor has slipped. The extrusion wheel may be malfunctioning, or the filament may be too thin.",
    "1203_1100_0001_0003": "The AMS D Slot2 motor torque control is malfunctioning. The current sensor may be faulty.",
    "1203_1100_0002_0002": "The AMS D Slot2 motor is overloaded. The filament may be tangled or stuck.",
    "1203_1200_0001_0001": "The AMS D Slot3 motor has slipped. The extrusion wheel may be malfunctioning, or the filament may be too thin.",
    "1203_1200_0001_0003": "The AMS D Slot3 motor torque control is malfunctioning. The current sensor may be faulty.",
    "1203_1200_0002_0002": "The AMS D Slot3 motor is overloaded. The filament may be tangled or stuck.",
    "1203_1300_0001_0001": "The AMS D Slot4 motor has slipped. The extrusion wheel may be malfunctioning, or the filament may be too thin.",
    "1203_1300_0001_0003": "The AMS D Slot4 motor torque control is malfunctioning. The current sensor may be faulty.",
    "1203_1300_0002_0002": "The AMS D Slot4 motor is overloaded. The filament may be tangled or stuck.",
    "1203_2000_0002_0001": "AMS D Slot1 filament has run out; please insert a new filament.",
    "1203_2000_0002_0002": "AMS D Slot 1 is empty; please insert a new filament.",
    "1203_2000_0002_0003": "AMS D Slot1 filament may be broken in the PTFE tube.",
    "1203_2000_0002_0004": "AMS D Slot1 filament may be broken in the tool head.",
    "1203_2000_0002_0005": "AMS D Slot1 filament has run out, and purging the old filament went abnormally; please check to see if filament is stuck in the toolhead.",
    "1203_2000_0002_0006": "Failed to extrude AMS D Slot1 filament; the extruder may be clogged or the filament may be too thin, causing the extruder to slip.",
    "1203_2000_0003_0001": "AMS D Slot1 filament has run out. Purging the old filament; please wait.",
    "1203_2000_0003_0002": "AMS D Slot1 filament has run out and automatically switched to the slot with the same filament.",
    "1203_2100_0002_0001": "AMS D Slot2 filament has run out; please insert a new filament.",
    "1203_2100_0002_0002": "AMS D Slot 2 is empty; please insert a new filament.",
    "1203_2100_0002_0003": "AMS D Slot2 filament may be broken in the PTFE tube.",
    "1203_2100_0002_0004": "AMS D Slot2 filament may be broken in the tool head.",
    "1203_2100_0002_0005": "AMS D Slot2 filament has run out, and purging the old filament went abnormally; please check to see if filament is stuck in the toolhead.",
    "1203_2100_0002_0006": "Failed to extrude AMS D Slot2 filament; the extruder may be clogged or the filament may be too thin, causing the extruder to slip.",
    "1203_2100_0003_0001": "AMS D Slot2 filament has run out. Purging the old filament; please wait.",
    "1203_2100_0003_0002": "AMS D Slot2 filament has run out and automatically switched to the slot with the same filament.",
    "1203_2200_0002_0001": "AMS D Slot3 filament has run out; please insert a new filament.",
    "1203_2200_0002_0002": "AMS D Slot 3 is empty; please insert a new filament.",
    "1203_2200_0002_0003": "AMS D Slot3 filament may be broken in the PTFE tube.",
    "1203_2200_0002_0004": "AMS D Slot3 filament may be broken in the tool head.",
    "1203_2200_0002_0005": "AMS D Slot3 filament has run out, and purging the old filament went abnormally; please check to see if filament is stuck in the toolhead.",
    "1203_2200_0002_0006": "Failed to extrude AMS D Slot3 filament; the extruder may be clogged or the filament may be too thin, causing the extruder to slip.",
    "1203_2200_0003_0001": "AMS D Slot3 filament has run out. Purging the old filament; please wait.",
    "1203_2200_0003_0002": "AMS D Slot3 filament has run out and automatically switched to the slot with the same filament.",
    "1203_2300_0002_0001": "AMS D Slot4 filament has run out; please insert a new filament.",
    "1203_2300_0002_0002": "AMS D Slot 4 is empty; please insert a new filament.",
    "1203_2300_0002_0003": "AMS D Slot4 filament may be broken in the PTFE tube.",
    "1203_2300_0002_0004": "AMS D Slot4 filament may be broken in the tool head.",
    "1203_2300_0002_0005": "AMS D Slot4 filament has run out, and purging the old filament went abnormally; please check to see if filament is stuck in the toolhead.",
    "1203_2300_0002_0006": "Failed to extrude AMS D Slot4 filament; the extruder may be clogged or the filament may be too thin, causing the extruder to slip.",
    "1203_2300_0003_0001": "AMS D Slot4 filament has run out. Purging the old filament; please wait.",
    "1203_2300_0003_0002": "AMS D Slot4 filament has run out and automatically switched to the slot with the same filament.",
    "1203_3000_0001_0001": "AMS D Slot 1 RFID coil is broken or the RF hardware circuit has an error.",
    "1203_3000_0001_0004": "RFID cannot be read because of an encryption chip failure in AMSD.",
    "1203_3000_0002_0002": "The RFID-tag on AMS D Slot 1 is damaged.",
    "1203_3000_0003_0003": "AMS D Slot1 RFID cannot be read because of a structural error.",
    "1203_3100_0001_0001": "AMS D Slot 2 RFID coil is broken or the RF hardware circuit has an error.",
    "1203_3100_0002_0002": "The RFID-tag on AMS D Slot 2 is damaged.",
    "1203_3100_0003_0003": "AMS D Slot2 RFID cannot be read because of a structural error.",
    "1203_3200_0001_0001": "AMS D Slot 3 RFID coil is broken or the RF hardware circuit has an error.",
    "1203_3200_0002_0002": "The RFID-tag on AMS D Slot 3 is damaged.",
    "1203_3200_0003_0003": "AMS D Slot3 RFID cannot be read because of a structural error.",
    "1203_3300_0001_0001": "AMS D Slot 4 RFID coil is broken or the RF hardware circuit has an error.",
    "1203_3300_0002_0002": "The RFID-tag on AMS D Slot 4 is damaged.",
    "1203_3300_0003_0003": "AMS D Slot4 RFID cannot be read because of a structural error.",
    "1203_5000_0002_0001": "AMS D communication is abnormal; please check the connection cable.",
    "1203_7000_0001_0001": "AMS D Filament speed and length error: The slot 1 filament odometry may be faulty.",
    "1203_7100_0001_0001": "AMS D Filament speed and length error: The slot 2 filament odometry may be faulty.",
    "1203_7200_0001_0001": "AMS D Filament speed and length error: The slot 3 filament odometry may be faulty.",
    "1203_7300_0001_0001": "AMS D Filament speed and length error: The slot 4 filament odometry may be faulty.",
    "1203_8000_0002_0001": "AMS D Slot1 filament may be tangled or stuck.",
    "1203_8100_0002_0001": "AMS D Slot2 filament may be tangled or stuck.",
    "1203_8200_0002_0001": "AMS D Slot3 filament may be tangled or stuck.",
    "1203_8300_0002_0001": "AMS D Slot4 filament may be tangled or stuck.",
    "12FF_2000_0002_0001": "Filament at the spool holder has run out; please insert a new filament.",
    "12FF_2000_0002_0002": "Filament on the spool holder is empty; please insert a new filament.",
    "12FF_2000_0002_0004": "Please pull out the filament on the spool holder from the extruder.",
    "12FF_2000_0002_0005": "Filament may be broken in the tool head.",
    "12FF_2000_0002_0006": "Failed to extrude the filament and the extruder may be clogged.",
    "12FF_2000_0002_0007": "Failed to check the filament location in the tool head; please click for more help.",
    "12FF_2000_0003_0007": "Checking the filament location of all AMS slots, please wait.",
    "12FF_8000_0002_0001": "The filament on the spool holder may be tangled or stuck.",
}
