PRINT_ERROR_ERRORS = {
    "0300_4000": "Printing stopped because homing Z axis failed.",
    "0300_4001": "The printer timed out waiting for the nozzle to cool down before homing.",
    "0300_4002": "Printing Stopped because Auto Bed Leveling failed.",
    "0300_4003": "Nozzle temperature malfunction.",
    "0300_4004": "Heatbed temperature malfunction.",
    "0300_4005": "The hotend cooling fan speed is abnormal.",
    "0300_4006": "The nozzle is clogged.",
    "0300_4008": "The AMS failed to change filament.",
    "0300_4009": "Homing XY axis failed.",
    "0300_400A": "Mechanical resonance frequency identification failed.",
    "0300_400B": "Internal communication exception.",
    "0300_400C": "Printing was cancelled.",
    "0300_400D": "Resume failed after power loss.",
    "0300_400E": "The motor self-check failed.",
    "0300_400F": "No build plate is placed.",
    "0300_8000": "Printing was paused for unknown reason. You can tap 'Resume' to resume the print job.",
    "0300_8001": "Printing paused. It was due to the pause command added in the printing file.",
    "0300_8002": "First layer defects were detected by the Micro Lidar. Please check the quality of the printed model before continuing your print.",
    "0300_8003": "Spaghetti defects were detected by the AI Print Monitoring. Please check the quality of the printed model before continuing your print.",
    "0300_8004": "Filament ran out. Please load new filament.",
    "0300_8005": "Toolhead front cover fell off. Please remount the front cover and check to make sure your print is going okay.",
    "0300_8006": "The build plate marker was not detected. Please confirm the build plate is correctly positioned on the heatbed with all four corners aligned, and the maker is clear.",
    "0300_8007": "There was an unfinished print job when the printer lost power. If the model is still adhered to the build plate, you can try resuming the print job.",
    "0300_8008": "Printing Stopped because nozzle temperature problem.",
    "0300_8009": "Heatbed temperature malfunction.",
    "0300_800A": "A Filament pile-up was detected by the AI Print Monitoring. Please clean the filament from the waste chute.",
    "0300_800B": "The cutter is stuck. Please make sure the cutter handle is out, and check the filament sensor cable connection.",
    "0300_800C": "Skipping step detected, auto-recover complete; please resume print and check if there are any layer shift problems.",
    "0300_800D": "Some objects have fallen down, or the extruder is not extruding normally. If the defects are acceptable, click 'Resume' button to resume the print job.",
    "0300_800E": "The print file is not available. Please check to see if the storage media has been removed.",
    "0300_800F": "The door seems to be open, so printing was paused.",
    "0300_8010": "The hotend cooling fan speed is abnormal.",
    "0300_8011": "Detected build plate is not the same as the Gcode file. Please adjust slicer settings or use the correct plate.",
    "0300_8012": "",
    "0300_8013": "Printing was paused by the user. You can select 'Resume' to continue printing.",
    "0300_8014": "The nozzle is covered with filaments, or the build plate is installed incorrectly. Please cancel this printing and clean the nozzle or adjust the build plate according to the actual status, or tap 'Resume' button to resume the print job.",
    "0300_8015": "The filament on external spool has run out, please load new filament. If the filament is loaded, please select 'Resume'.",
    "0300_8016": "The nozzle is clogged up with filaments. Please cancel this printing and clean the nozzle according to the actual status, or tap 'Resume' button to resume the print job.",
    "0300_8017": "Foreign objects detected on heatbed, Please check and clean the heatbed, Then tap 'Resume' button to resume the print job.",
    "0300_8018": "Chamber temperature malfunction.",
    "0300_8019": "No build plate is placed.",
    "0300_801B": "Nozzle temperature problem detected. Refer to the Assistant to re-connect the hotend connector. POWER OFF the printer before this operation to avoid a short circuit.",
    "0500_4001": "Failed to connect to Bambu Cloud. Please check your network connection.",
    "0500_4002": "Unsupported print file path or name. Please resend the printing job.",
    "0500_4003": "Printing stopped because the printer was unable to parse the file. Please resend your print job.",
    "0500_4004": "The printer can't receive new print jobs while printing. Resend after the current print finishes.",
    "0500_4005": "Print jobs are not allowed to be sent while updating firmware.",
    "0500_4006": "There is not enough free storage space for the print job. Restoring to factory settings can release available space.",
    "0500_4007": "Print jobs are not allowed to be sent while force updating or when repair updating is required.",
    "0500_4008": "Starting printing failed. please power cycle the printer and resend the print job.",
    "0500_4009": "Print jobs are not allowed to be sent while updating logs.",
    "0500_400A": "The file name is not supported. Please rename and restart the printing job.",
    "0500_400B": "There was a problem downloading a file. Please check you network connection and resend the printing job.",
    "0500_400C": "Please insert a MicroSD card and restart the printing job.",
    "0500_400D": "Please run a self-test and restart the printing job.",
    "0500_400E": "Printing was cancelled.",
    "0500_4012": "The door seems to be open, so printing was paused.",
    "0500_4014": "Slicing for the print job failed. Please check your settings and restart the print job.",
    "0500_4015": "There is not enough free storage space for the print job. Please format or clean MicroSD card to release available space.",
    "0500_4016": "The MicroSD Card is write-protected. Please replace the MicroSD Card.",
    "0500_4017": "Binding failed. Please retry or restart the printer and retry.",
    "0500_4018": "Binding configuration information parsing failed,  please try again.",
    "0500_4019": "The printer has already been bound. Please unbind it and try again.",
    "0500_401A": "Cloud access failed. Possible reasons include network instability caused by interference, inability to access the internet, or router firewall configuration restrictions. You can try moving the printer closer to the router or checking the router configuration and then try again.",
    "0500_401B": "Cloud response is invalid. If you have tried multiple times and are still failing, please contact customer service.",
    "0500_401C": "Cloud access is rejected. If you have tried multiple times and are still failing, please contact customer service.",
    "0500_401D": "Cloud access failed, which may be caused by network instability due to interference. You can try moving the printer closer to the router before you try again.",
    "0500_401E": "Cloud response is invalid. If you have tried multiple times and are still failing, please contact customer service.",
    "0500_401F": "Authorization timed out. Please make sure that your phone or PC has access to the internet, and ensure that the Bambu Studio/Bambu Handy APP is running in the foreground during the binding operation.",
    "0500_4020": "Cloud access rejected. If you have tried multiple times and are still failing, please contact customer service.",
    "0500_4021": "Cloud access failed, which may be caused by network instability due to interference. You can try moving the printer closer to the router before you try again.",
    "0500_4022": "Cloud response is invalid. If you have tried multiple times and are still failing, please contact customer service.",
    "0500_4023": "Cloud access rejected. If you have tried multiple times and are still failing, please contact customer service.",
    "0500_4024": "Cloud access failed. Possible reasons include network instability caused by interference, inability to access the internet, or router firewall configuration restrictions. You can try moving the printer closer to the router or checking the router configuration before you try again.",
    "0500_4025": "Cloud response is invalid. If you have tried multiple times and are still failing, please contact customer service.",
    "0500_4026": "Cloud access rejected. If you have tried multiple times and are still failing, please contact customer service.",
    "0500_4027": "Cloud access failed; this may be caused by network instability due to interference. You can try moving the printer closer to the router before you try again.",
    "0500_4028": "Cloud response is invalid. If you have tried multiple times and are still failing, please contact customer service.",
    "0500_4029": "Cloud access is rejected. If you have tried multiple times and are still failing, please contact customer service.",
    "0500_402A": "Failed to connect to the router, which may be caused by wireless interference or being too far away from the router. Please try again or move the printer closer to the router and try again.",
    "0500_402B": "Router connection failed due to incorrect password. Please check the password and try again.",
    "0500_402C": "Failed to obtain IP address, which may be caused by wireless interference resulting in data transmission failure or DHCP address pool of the router being full. Please move the printer closer to the router and try again. If the issue persists, please check router settings to see whether the IP addresses have been exhausted.",
    "0500_402D": "System exception.",
    "0500_402E": "The system does not support the file system currently used by the Micro SD card. Please replace the Micro SD card or format the current Micro SD card to FAT32.",
    "0500_402F": "The Micro SD card sector data is damaged. Please use the SD card repair tool to repair or format it. If it still cannot be identified, please replace the Micro SD card.",
    "0500_4037": "Your sliced file is not compatible with current printer model. This file can't be printed on this printer.",
    "0500_4038": "The nozzle diameter in sliced file is not consistent with the current nozzle setting. This file can't be printed.",
    "0500_403A": "The current temperature is too low. In order to protect you and your printer. Printing task, moving axis and other operations are disabled. Please move the printer to an environment above 10 celsius degree.",
    "0500_8013": "The print file is not available. Please check to see if the storage media has been removed.",
    "0500_8030": "",
    "0500_8036": "Your sliced file is not consistent with the current printer model. Continue?",
    "0500_C010": "MicroSD Card read/write exception. please reinsert or replace MicroSD Card .",
    "0500_C011": "",
    "0501_4017": "Binding failed. Please retry or restart the printer and retry.",
    "0501_4018": "Binding configuration information parsing failed,  please try again.",
    "0501_4019": "The printer has already been bound. Please unbind it and try again.",
    "0501_401A": "Cloud access failed. Possible reasons include network instability caused by interference, inability to access the internet, or router firewall configuration restrictions. You can try moving the printer closer to the router or checking the router configuration and then try again.",
    "0501_401B": "Cloud response is invalid. If you have tried multiple times and are still failing, please contact customer service.",
    "0501_401C": "Cloud access is rejected. If you have tried multiple times and are still failing, please contact customer service.",
    "0501_401D": "Cloud access failed, which may be caused by network instability due to interference. You can try moving the printer closer to the router before you try again.",
    "0501_401E": "Cloud response is invalid. If you have tried multiple times and are still failing, please contact customer service.",
    "0501_401F": "Authorization timed out. Please make sure that your phone or PC has access to the internet, and ensure that the Bambu Studio/Bambu Handy APP is running in the foreground during the binding operation.",
    "0501_4020": "Cloud access rejected. If you have tried multiple times and are still failing, please contact customer service.",
    "0501_4021": "Cloud access failed, which may be caused by network instability due to interference. You can try moving the printer closer to the router before you try again.",
    "0501_4022": "Cloud response is invalid. If you have tried multiple times and are still failing, please contact customer service.",
    "0501_4023": "Cloud access rejected. If you have tried multiple times and are still failing, please contact customer service.",
    "0501_4024": "Cloud access failed. Possible reasons include network instability caused by interference, inability to access the internet, or router firewall configuration restrictions. You can try moving the printer closer to the router or checking the router configuration before you try again.",
    "0501_4025": "Cloud response is invalid. If you have tried multiple times and are still failing, please contact customer service.",
    "0501_4026": "Cloud access rejected. If you have tried multiple times and are still failing, please contact customer service.",
    "0501_4027": "Cloud access failed; this may be caused by network instability due to interference. You can try moving the printer closer to the router before you try again.",
    "0501_4028": "Cloud response is invalid. If you have tried multiple times and are still failing, please contact customer service.",
    "0501_4029": "Cloud access is rejected. If you have tried multiple times and are still failing, please contact customer service.",
    "0501_4031": "Device discovery binding is in progress, and the QR code cannot be displayed on the screen. You can wait for the binding to finish or abort the device discovery binding process in the APP/Studio and retry scanning the QR code on the screen for binding.",
    "0501_4032": "QR code binding is in progress, so device discovery binding cannot be performed. You can scan the QR code on the screen for binding or exit the QR code display page on screen and try device discovery binding.",
    "0501_4033": "Your APP region is not matched with your printer; please download the APP in the corresponding region and register your account again.",
    "0501_4034": "The slicing progress has not been updated for a long time, and the printing task has exited. Please confirm the parameters and reinitiate printing.",
    "0501_4035": "The device is in the process of binding and cannot respond to new binding requests.",
    "0501_4038": "The region settings do not match the printer; please check the printer's region settings.",
    "0501_4039": "Device login has expired, please try to bind again.",
    "0502_4001": "Current filament will be used in this print job. Settings cannot be changed.",
    "0514_039": "Device login has expired; please try to bind again.",
    "0700_4001": "The AMS has been disabled for a print, but it still has filament loaded. Please unload the AMS filament , and switch to the spool holder filament for printing.",
    "0700_8001": "Failed to cut the filament. Please check the cutter. After troubleshooting, click the 'Retry' button.",
    "0700_8002": "The cutter is stuck. Please make sure the cutter handle is out.",
    "0700_8003": "Failed to pull out the filament from the extruder. This might be caused by clogged extruder or filament broken inside the extruder.",
    "0700_8004": "AMS failed to pull back filament. This could be due to a stuck spool or the end of the filament being stuck in the path.",
    "0700_8005": "The AMS failed to send out filament. You can clip the end of your filament flat, and reinsert. If this message persists, please check the PTFE tubes in AMS for any signs of wear and tear.",
    "0700_8006": "Unable to feed filament into the extruder. This could be due to entangled filament or a stuck spool. If not, please check if the AMS PTFE tube is connected.",
    "0700_8007": "Extruding filament failed. The extruder might be clogged.",
    "0700_8010": "The AMS assist motor is overloaded. This could be due to entangled filament or a stuck spool.",
    "0700_8011": "AMS filament ran out. Please insert a new filament into the same AMS slot.",
    "0700_8012": "Failed to get AMS mapping table; please click 'Retry' to continue.",
    "0700_8013": "Timeout purging old filament: Please check if the filament is stuck or the extruder is clogged. After troubleshooting, click the 'Retry' button.",
    "0701_4001": "Filament is still loaded from the AMS after it has been disabled. Please unload the filament, load from the spool holder, and restart printing.",
    "0701_8001": "Failed to cut the filament. Please check the cutter. After troubleshooting, click the 'Retry' button.",
    "0701_8002": "The cutter is stuck. Please pull out the cutter handle and click the 'Retry' button.",
    "0701_8003": "Failed to pull out the filament from the extruder. There may be an extruder clog or broken filament inside the extruder.",
    "0701_8004": "AMS failed to pull back filament. This could be due to a stuck spool or the end of the filament being stuck in the path.",
    "0701_8005": "The AMS failed to send out filament. You can clip the end of your filament flat, and reinsert. If this message persists, please check the PTFE tubes in AMS for any signs of wear and tear.",
    "0701_8006": "Unable to feed filament into the extruder. This could be due to entangled filament or a stuck spool.",
    "0701_8007": "Failed to extrude the filament. Please check if the extruder clogged. After troubleshooting, click the 'Retry' button.",
    "0701_8010": "The AMS assist motor is overloaded. This could be due to entangled filament or a stuck spool.",
    "0701_8011": "AMS filament ran out. Please insert a new filament into the same AMS slot.",
    "0701_8012": "Failed to get AMS mapping table; please click 'Retry' to continue.",
    "0701_8013": "Timeout purging old filament: Please check if the filament is stuck or the extruder is clogged. After troubleshooting, click the 'Retry' button.",
    "0702_4001": "Filament is still loaded from the AMS after it has been disabled. Please unload the filament, load from the spool holder, and restart printing.",
    "0702_8001": "Failed to cut the filament. Please check the cutter. After troubleshooting, click the 'Retry' button.",
    "0702_8002": "The cutter is stuck. Please pull out the cutter handle and click the 'Retry' button.",
    "0702_8003": "Failed to pull out the filament from the extruder. Please check whether the extruder is clogged or whether the filament is broken inside the extruder. After troubleshooting, click the 'Retry' button.",
    "0702_8004": "Failed to pull back the filament from the toolhead to AMS. Please check whether the filament or the spool is stuck. After troubleshooting, click the 'Retry' button.",
    "0702_8005": "The AMS failed to send out filament. You can clip the end of your filament flat, and reinsert. If this message persists, please check the PTFE tubes in AMS for any signs of wear and tear.",
    "0702_8006": "Failed to feed the filament into the toolhead. Please check whether the filament or the spool is stuck. After troubleshooting, click the 'Retry' button.",
    "0702_8007": "Failed to extrude the filament. Please check if the extruder clogged. After troubleshooting, click the 'Retry' button.",
    "0702_8010": "The AMS assist motor is overloaded. This could be due to entangled filament or a stuck spool.",
    "0702_8011": "AMS filament ran out. Please insert a new filament into the same AMS slot.",
    "0702_8012": "Failed to get AMS mapping table; please click 'Retry' to continue.",
    "0702_8013": "Timeout purging old filament: Please check if the filament is stuck or the extruder is clogged. After troubleshooting, click the 'Retry' button.",
    "0703_4001": "Filament is still loaded from the AMS after it has been disabled. Please unload the filament, load from the spool holder, and restart printing.",
    "0703_8001": "Failed to cut the filament. Please check the cutter. After troubleshooting, click the 'Retry' button.",
    "0703_8002": "The cutter is stuck. Please pull out the cutter handle and click the 'Retry' button.",
    "0703_8003": "Failed to pull out the filament from the extruder. Please check whether the extruder is clogged or whether the filament is broken inside the extruder. After troubleshooting, click the 'Retry' button.",
    "0703_8004": "Failed to pull back the filament from the toolhead to AMS. Please check whether the filament or the spool is stuck. After troubleshooting, click the 'Retry' button.",
    "0703_8005": "The AMS failed to send out filament. You can clip the end of your filament flat, and reinsert. If this message persists, please check the PTFE tubes in AMS for any signs of wear and tear.",
    "0703_8006": "Failed to feed the filament into the toolhead. Please check whether the filament or the spool is stuck. After troubleshooting, click the 'Retry' button.",
    "0703_8007": "Failed to extrude the filament. Please check if the extruder clogged. After troubleshooting, click the 'Retry' button.",
    "0703_8010": "The AMS assist motor is overloaded. This could be due to entangled filament or a stuck spool.",
    "0703_8011": "AMS filament ran out. Please insert a new filament into the same AMS slot.",
    "0703_8012": "Failed to get AMS mapping table; please click 'Retry' to continue.",
    "0703_8013": "Timeout purging old filament: Please check if the filament is stuck or the extruder is clogged. After troubleshooting, click the 'Retry' button.",
    "07FF_4001": "Filament is still loaded from the AMS after it has been disabled. Please unload the filament, load from the spool holder, and restart printing.",
    "07FF_8001": "Failed to cut the filament. Please check the cutter. After troubleshooting, click the 'Retry' button.",
    "07FF_8002": "The cutter is stuck. Please pull out the cutter handle and click the 'Retry' button.",
    "07FF_8003": "Please pull out the filament on the spool holder. If this message persists, please check to see if there is filament broken in the extruder. (Connect PTFE tube if you are about to use AMS)",
    "07FF_8004": "Failed to pull back the filament from the toolhead to AMS. Please check whether the filament or the spool is stuck. After troubleshooting, click the 'retry' button.",
    "07FF_8005": "Failed to feed the filament outside the AMS. Please clip the end of the filament flat and check to see if the spool is stuck. After troubleshooting, click the 'Retry' button.",
    "07FF_8006": "Please feed filament into the PTFE tube until it can not be pushed any farther.",
    "07FF_8007": "Please observe the nozzle. If the filament has been extruded, click 'Done'; if it is not, please push the filament forward slightly and then click 'Retry'.",
    "07FF_8010": "The AMS assist motor is overloaded. This could be due to entangled filament or a stuck spool.",
    "07FF_8011": "External filament has run out, please load a new filament.",
    "07FF_8012": "Failed to get AMS mapping table; please click 'Retry' to continue.",
    "07FF_8013": "Timeout purging old filament: Please check if the filament is stuck or the extruder is clogged. After troubleshooting, click the 'Retry' button.",
    "07FF_C003": "Please pull out the filament on the spool holder. If this message persists, please check to see if there is filament broken in the extruder or PTFE Tube. (Connect PTFE tube if you are about to use AMS)",
    "07FF_C006": "Please feed filament into the PTFE tube until it can not be pushed any farther.",
    "07FF_C008": "Please pull out the filament on the spool holder. If this message persists, please check to see if there is filament broken in the extruder. (Connect PTFE tube if you are about to use AMS)",
    "07FF_C009": "Please feed filament into the PTFE tube until it can not be pushed any farther.",
    "07FF_C00A": "Please observe the nozzle. If the filament has been extruded, click 'Done'; if it is not, please push the filament forward slightly and then click 'Retry'.",
    "0C00_402A": "",
    "0C00_8001": "First layer defects were detected. If the defects are acceptable, click 'Resume' button to resume the print job.",
    "0C00_8002": "Spaghetti failure was detected.",
    "0C00_8005": "Purged filament has piled up in the waste chute, which may cause a tool head collision.",
    "0C00_8009": "Build plate localization marker was not found.",
    "0C00_800A": "The detected build plate is not the same as in G-code.",
    "0C00_C003": "Possible defects were detected in the first layer.",
    "0C00_C004": "Possible spaghetti failure was detected.",
    "0C00_C006": "Purged filament may have piled up in the waste chute.",
    "1000_C001": "High bed temperature may lead to filament clogging in the nozzle. You may open the chamber door.",
    "1000_C002": "Printing CF material with stainless steel may cause nozzle damage.",
    "1000_C003": "Enabling traditional timelapse might lead to defects. Please enable it as needed?",
    "1001_C001": "Timelapse is not supported because Spiral vase is enabled in slicing presets.",
    "1001_C002": "Timelapse is not supported because Print sequence is set to 'By object'.",
    "1200_4001": "Filament is still loaded from the AMS when it has been disabled. Please unload AMS filament, load from spool holder, and restart print job.",
    "1200_8001": "Cutting the filament failed. Please check to see if the cutter is stuck. Refer to the Assistant for solutions.",
    "1200_8002": "The cutter is stuck. Please pull out the cutter handle and click the 'Retry' button.",
    "1200_8003": "Failed to pull out the filament from the extruder. Please check whether the extruder is clogged or whether the filament is broken inside the extruder. After troubleshooting, click the 'Retry' button.",
    "1200_8004": "Failed to pull back the filament from the toolhead. Please check whether the filament is stuck. After troubleshooting, click the 'Retry' button.",
    "1200_8005": "Failed to feed the filament. Please load the filament, then click the 'Retry' button.",
    "1200_8006": "Unable to feed filament into the extruder. This could be due to entangled filament or a stuck spool. If not, please check if the AMS PTFE tube is connected.",
    "1200_8007": "Failed to extrude the filament. This might be caused by clogged extruder or stuck filament. Refer to the Assistant for solutions.",
    "1200_8010": "Filament or spool may be stuck.",
    "1200_8011": "AMS filament ran out. Please insert a new filament into the same AMS slot.",
    "1200_8012": "Failed to get AMS mapping table. Please click the 'Retry' button to continue.",
    "1200_8013": "Timeout while purging old filament. Please check if the filament is stuck or the extruder clogged. After troubleshooting, click the 'Retry' button.",
    "1200_8014": "The filament location in the toolhead was not found. Refer to the Assistant for solutions.",
    "1200_8015": "Failed to pull out the filament from the toolhead. Please check if the filament is stuck, or the filament is broken inside the extruder or PTFE tube.",
    "1200_8016": "The extruder is not extruding normally. Refer to the Assistant for troubleshooting. There may be defects in this layer, you may resume if the defects are acceptable.",
    "1201_4001": "Filament is still loaded from the AMS when it has been disabled. Please unload AMS filament, load from spool holder, and restart print job.",
    "1201_8001": "Failed to cut the filament. Please check the cutter. After troubleshooting, click the 'Retry' button.",
    "1201_8002": "The cutter is stuck. Please pull out the cutter handle and click the 'Retry' button.",
    "1201_8003": "Failed to pull out the filament from the extruder. Please check whether the extruder is clogged or whether the filament is broken inside the extruder. After troubleshooting, click the 'Retry' button.",
    "1201_8004": "Failed to pull back the filament from the toolhead. Please check whether the filament is stuck. After troubleshooting, click the 'Retry' button.",
    "1201_8005": "Failed to feed the filament. Please load the filament and then click the 'Retry' button.",
    "1201_8006": "Failed to feed the filament into the toolhead. Please check whether the filament is stuck. After troubleshooting, click the 'Retry' button.",
    "1201_8007": "Failed to extrude the filament. The extruder may be clogged or the filament may be stuck; please refer to HMS. After troubleshooting, click 'Retry' button.",
    "1201_8010": "Please check if the spool or filament is stuck. After troubleshooting, click the 'Retry' button.",
    "1201_8011": "AMS filament has run out. Please insert a new filament into the same AMS slot.",
    "1201_8012": "Failed to get AMS mapping table; please click the 'Retry' button to continue.",
    "1201_8013": "Timeout while purging old filament. Please check if the filament is stuck or the extruder clogged. After troubleshooting, click the 'Retry' button.",
    "1201_8014": "Failed to check the filament location in the tool head; please refer to the HMS. After troubleshooting, click the 'Retry' button.",
    "1201_8015": "Failed to pull back the filament from the toolhead. Please check if the filament is stuck or the filament is broken inside the extruder. After troubleshooting, click the 'Retry' button.",
    "1201_8016": "The extruder is not extruding normally; please refer to the HMS. After trouble shooting. If the defects are acceptable, please click 'Retry' button.",
    "1202_4001": "Filament is still loaded from the AMS when it has been disabled. Please unload AMS filament, load from spool holder, and restart print job.",
    "1202_8001": "Failed to cut the filament. Please check the cutter. After troubleshooting, click the 'Retry' button.",
    "1202_8002": "The cutter is stuck. Please pull out the cutter handle and click the 'Retry' button.",
    "1202_8003": "Failed to pull out the filament from the extruder. Please check whether the extruder is clogged or whether the filament is broken inside the extruder. After troubleshooting, click the 'Retry' button.",
    "1202_8004": "Failed to pull back the filament from the toolhead. Please check whether the filament is stuck. After troubleshooting, click the 'Retry' button.",
    "1202_8005": "Failed to feed the filament. Please load the filament, then click the 'Retry' button.",
    "1202_8006": "Failed to feed the filament into the toolhead. Please check whether the filament is stuck. After troubleshooting, click the 'Retry' button.",
    "1202_8007": "Failed to extrude the filament. The extruder may be clogged or the filament may be stuck; please refer to HMS. After troubleshooting, click 'Retry' button.",
    "1202_8010": "Please check if the spool or filament is stuck. After troubleshooting, click the 'Retry' button.",
    "1202_8011": "AMS filament has run out. Please insert a new filament into the same AMS slot.",
    "1202_8012": "Failed to get AMS mapping table; please click the 'Retry' button to continue.",
    "1202_8013": "Timeout while purging old filament. Please check if the filament is stuck or the extruder clogged. After troubleshooting, click the 'Retry' button.",
    "1202_8014": "Failed to check the filament location in the tool head; please refer to the HMS. After troubleshooting, click the 'Retry' button.",
    "1202_8015": "Failed to pull back the filament from the toolhead. Please check if the filament is stuck or is broken inside the extruder. After troubleshooting, click the 'Retry' button.",
    "1202_8016": "The extruder is not extruding normally; please refer to the HMS. After trouble shooting. If the defects are acceptable, please click 'Retry' button.",
    "1203_4001": "Filament is still loaded from the AMS when it has been disabled. Please unload AMS filament, load from spool holder, and restart print job.",
    "1203_8001": "Failed to cut the filament. Please check the cutter. After troubleshooting, click the 'Retry' button.",
    "1203_8002": "The cutter is stuck. Please pull out the cutter handle and click the 'Retry' button.",
    "1203_8003": "Failed to pull out the filament from the extruder. Please check whether the extruder is clogged or whether the filament is broken inside the extruder. After troubleshooting, click the 'Retry' button.",
    "1203_8004": "Failed to pull back the filament from the toolhead. Please check whether the filament is stuck. After troubleshooting, click the 'Retry' button.",
    "1203_8005": "Failed to feed the filament. Please load the filament, then click the 'Retry' button.",
    "1203_8006": "Failed to feed the filament into the toolhead. Please check whether the filament is stuck. After troubleshooting, click the 'Retry' button.",
    "1203_8007": "Failed to extrude the filament. The extruder may be clogged or the filament may be stuck; please refer to HMS. After troubleshooting, click 'Retry' button.",
    "1203_8010": "Please check if the spool or filament is stuck. After troubleshooting, click the 'Retry' button.",
    "1203_8011": "AMS filament has run out. Please insert a new filament into the same AMS slot.",
    "1203_8012": "Failed to get AMS mapping table; please click the 'Retry' button to continue.",
    "1203_8013": "Timeout while purging old filament. Please check if the filament is stuck or the extruder clogged. After troubleshooting, click the 'Retry' button.",
    "1203_8014": "Failed to check the filament location in the tool head; please refer to the HMS. After troubleshooting, click the 'Retry' button.",
    "1203_8015": "Failed to pull back the filament from the toolhead. Please check if the filament is stuck or is broken inside the extruder. After troubleshooting, click the 'Retry' button.",
    "1203_8016": "The extruder is not extruding normally; please refer to the HMS. After trouble shooting. If the defects are acceptable, please click 'Retry' button.",
    "12FF_4001": "Filament is still loaded from the AMS when it has been disabled. Please unload AMS filament, load from spool holder, and restart print job.",
    "12FF_8001": "Failed to cut the filament. Please check the cutter. After troubleshooting, click the 'Retry' button.",
    "12FF_8002": "The cutter is stuck. Please pull out the cutter handle and click the 'Retry' button.",
    "12FF_8003": "Please pull out the filament on the spool holder. If this message persists, please check to see if there is filament broken in the extruder or PTFE Tube. (Connect PTFE tube if you are about to use AMS)",
    "12FF_8004": "Failed to pull back the filament from the toolhead. Please check whether the filament is stuck. After troubleshooting, click the 'Retry' button.",
    "12FF_8005": "Failed to feed the filament. Please load the filament, then click the 'Retry' button.",
    "12FF_8006": "Please feed filament into the PTFE tube until it can not be pushed any farther.",
    "12FF_8007": "Check nozzle. Click 'Done' if filament was extruded, otherwise push filament forward slightly and click 'Retry.'",
    "12FF_8010": "Please check if the filament or the spool is stuck.",
    "12FF_8011": "AMS filament has run out. Please insert a new filament into the same AMS slot.",
    "12FF_8012": "Failed to get AMS mapping table; please click the 'Retry' button to continue.",
    "12FF_8013": "Timeout while purging old filament. Please check if the filament is stuck or the extruder clogged. After troubleshooting, click the 'Retry' button.",
    "12FF_C003": "Please pull out the filament on the spool holder. If this message persists, please check to see if there is filament broken in the extruder or PTFE Tube. (Connect PTFE tube if you are about to use AMS)",
    "12FF_C006": "Please feed filament into the PTFE tube until it can not be pushed any farther.",
}
